﻿<%@ Page Title="" Language="C#" MasterPageFile="~/admin/MasterPage.master" AutoEventWireup="true" CodeFile="SalesBy_customer_SalesPerson.aspx.cs" Inherits="Reports_SalesBySalesPerson" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style>
        .tblwth {
            width: 19%;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">


    <div class="content-header row">
        <div class="content-header-left col-md-6 col-12 mb-2">
            <input type="hidden" id="hiddenPackerAutoId" runat="server" />
            <input type="hidden" id="hiddenEmpType" runat="server" />
            <h3 class="content-header-title">Customer Sales Person</h3>
            <div class="row breadcrumbs-top">
                <div class="breadcrumb-wrapper col-12">

                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/Admin/mydashboard.aspx">Home</a></li>
                        <li class="breadcrumb-item"><a href="#">Reports</a></li>
                        <li class="breadcrumb-item"><a href="#">Sale Report </a></li>
                        <li class="breadcrumb-item">Customer Sales Person</li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="content-header-right col-md-6 col-12">
            <div class="btn-group float-md-right" role="group" aria-label="Button group with nested dropdown">
                <button class="btn btn-info round dropdown-toggle dropdown-menu-right box-shadow-2 px-2"
                    id="btnGroupDrop1" type="button" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">
                    Action</button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                    <button type="button" class="dropdown-item" onclick="PrintElem()">Print</button>
                    <button type="button" class="dropdown-item" id="btnExport" onclick="ExportReport();">Export</button>
                </div>

            </div>
        </div>
    </div>
    <div class="content-body" style="min-height: 400px;">
        <section id="drag-area">

            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">
                                <div class="row">

                                    <div class="col-md-3 form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text" style="padding: 0rem 1rem;">From Order Date <span class="la la-calendar-o"></span>
                                                </span>
                                            </div>

                                            <input type="text" class="form-control input-sm date border-primary" placeholder="From Order Date" id="txtSFromDate" onfocus="this.select()" />
                                        </div>
                                    </div>
                                    <div class="col-md-3 form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text" style="padding: 0rem 1rem;">To Order Date <span class="la la-calendar-o"></span>
                                                </span>
                                            </div>
                                            <input type="text" class="form-control input-sm date  border-primary" placeholder="To Order Date" id="txtSToDate" onfocus="this.select()" />
                                        </div>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <select class="form-control input-sm  border-primary" id="ddlSalesPerson" multiple="multiple" style="width: 100% !important">
                                            <option value="0">All Sales Person</option>
                                        </select>
                                    </div>
                                    <div class="col-md-2 form-group">
                                        <button type="button" class="btn btn-info buttonAnimation pull-right round box-shadow-1 btn-sm" data-animation="pulse" id="btnSearch" style="margin-top: 7px;" onclick="BindReport(1);">Search</button>
                                    </div>
                                </div>
                                <div class="row">
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="MyTableHeader" id="tblOrderList">
                                        <thead class="bg-blue white">
                                            <tr>
                                                <td class="EmployeeName left">Sales Person</td>
                                                <td class="NoOfOrders text-center tblwth">No of Orders</td>
                                                <td class="TotalOrderAmount tblwth" style="text-align: right">Total Order Amount</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                        <tfoot>
                                            <tr>
                                                <td style="text-align: right; font-weight: bold;">Total</td>
                                                <td id="NoOfOrders" style="text-align: center; font-weight: bold;">0</td>
                                                <td id="GrandAmount" style="text-align: right; font-weight: bold;">0.00</td>
                                            </tr>
                                            <tr>
                                                <td style="text-align: right; font-weight: bold;">Overall Total</td>
                                                <td id="NoOfOrderss" style="text-align: center; font-weight: bold;">0</td>
                                                <td id="GrandAmounts" style="text-align: right; font-weight: bold;">0.00</td>
                                            </tr>
                                            <tr>
                                                <td style="text-align: right; font-weight: bold;">AVG Per Piece</td>
                                                <td></td>
                                                <td id="AVGPiece" style="text-align: right; font-weight: bold;"></td>
                                            </tr>
                                        </tfoot>
                                    </table>
                                    <h5 class="well text-center" id="EmptyTable" style="display: none">No data available.</h5>
                                </div>
                              
                                <div class="row">
                                    <div class="col-md-2">
                                        <select id="ddlPaging" class="form-control border-primary input-sm pagesize" onchange="BindReport(1);">
                                            <option selected="selected" value="10">10</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                            <option value="500">500</option>
                                            <option value="1000">1000</option>
                                            <option value="0">All</option>
                                        </select>
                                    </div>
                                    <div class="col-md-10">
                                        <div class="Pager text-right"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <div class="table-responsive" style="display: none;" id="PrintTable1">
            <div class="row" style="margin-bottom: 5px;">
                <div class="col-md-4 col-lg-4 col-sm-4 text-left">
                    <img src="" id="PrintLogo" height="40" />
                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-center" style="margin-top: 0.5%; font-size: 12px; color: black; font-weight: bold;">
                    Sale Report By Customer Sales Person
                    <br />
                    <span class="text-center DateRangeCSS" style="font-size: 9px; color: black;" id="DateRange"></span>

                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-right" id="PrintDate" style="line-height: 3; font-size: 12px; color: black; font-weight: bold;">Print Date</div>
            </div>
            <table class="MyTableHeader PrintMyTableHeader" id="PrintTable">
                <thead>
                    <tr>
                        <td class="EmployeeNamea left">Sales Person</td>
                        <td class="NoOfOrdersa tblwth" style="text-align: center;">No of Orders</td>
                        <td class="TotalOrderAmounta tblwth" style="text-align: right">Total Order Amount</td>
                    </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                    <tr>
                        <td style="text-align: right; font-weight: bold;">Overall Total</td>
                        <td id="NoOfOrdersq" style="text-align: center; font-weight: bold;">0</td>
                        <td id="GrandAmountq" style="text-align: right; font-weight: bold;">0.00</td>
                    </tr>
                    <tr>
                        <td style="text-align: right; font-weight: bold;">AVG Per Piece</td>
                        <td></td>
                        <td id="AVGPieces" style="text-align: right; font-weight: bold;"></td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <div style="display: none;" id="ExcelDiv"></div>
    </div>

    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        document.write('<scr' + 'ipt defer type="text/javascript" src="../js/jquery.table2excel.js?v=' + new Date() + '"></scr' + 'ipt>');
    </script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
</asp:Content>

